### Method

# Gsk Pathto_cairo

since: 4.14

#### Declaration [src]

    void
    gsk_path_to_cairo (
      GskPath* self,
      cairo_t* cr
    )

#### Description [src]

Appends the given `path` to the given cairo context for drawing with Cairo.

This may cause some suboptimal conversions to be performed as Cairo does not support all features of `GskPath`.

This function does not clear the existing Cairo path. Call `cairo_new_path()` if you want this.

Available since: 4.14

#### Parameters

`cr`

  Type: `cairo_t`

  A cairo context.

  The data is owned by the caller of the method.